%global pypi_name docker_ssh

Name:           python-docker-ssh
Version:        0.0.3
Release:        %mkrel 7
Summary:        Manage docker through SSH
Group:          Development/Python

License:        MIT
URL:            https://github.com/andreycizov/python-docker_ssh
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Python library for the Docker Engine API.

%package -n python3-docker-ssh
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-docker-ssh
A Python 3 library for the Docker Engine API.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files docker_ssh

%files -n python3-docker-ssh -f %{pyproject_files}
%{_bindir}/docker-ssh


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.0.3-7.mga10
+ Revision: 2238274
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.0.3-6.mga10
+ Revision: 2154711
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 0.0.3-5.mga10
+ Revision: 2017359
- rebuild for python3.12
- adapt to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 0.0.3-4.mga9
+ Revision: 1831973
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.0.3-3.mga9
+ Revision: 1785053
- rebuild for python-3.10

* Sun Apr 11 2021 joequant <joequant> 0.0.3-2.mga9
+ Revision: 1714706
- fix
- fix rpm name

* Sat Apr 10 2021 joequant <joequant> 0.0.3-1.mga9
+ Revision: 1714476
- imported package python-docker-ssh

